      program su3time ! Alexe Bazavov / Bernd Berg Mar 17 2008.
c SU3 MCMC time series program based on Cabibbo-Marinari heatbath.
      include '../../Libs/Fortran/implicit.sta'
      include '../../Libs/Fortran/constants.par'
      include 'lat.par'
      include 'mc.par'
      include '../../Libs/Fortran_par/common_lat.f'
      include '../../Libs/SU3_par/common_su3.f'
      include 'lat.dat'
c
      write(iuo,'(/,"su3time: beta =",F20.10,/)') beta
      call su3_init ! Initialization.
      if(.not.lswp) stop "su3time: lswp false."
c
      do iequi=1,nequi ! Equilibration:
        call su3_mchb  ! CM heatbath.
      end do
c 
      stop "su3time: All done."
      end


c lattice layout:
      include '../../Libs/Fortran/ixcor.f'
      include '../../Libs/Fortran/lat_init.f'
      include '../../Libs/Fortran/ipointer.f'
      include '../../Libs/Fortran/nsfun.f'
      include '../../Libs/Fortran/isfun.f'
c random number generator:
      include '../../Libs/Fortran/ranmar.f'
      include '../../Libs/Fortran/rmaset.f'
      include '../../Libs/Fortran/write_progress.f'
c needed for su3:
c     include "../../Libs/Fortran/dim_reduced.f"
      include "../../Libs/SU2/su2_a0.f"
      include "../../Libs/SU3/su3reunit.f"
c matrix operations
      include "../../Libs/SU3/su3add_m_m.f"
      include "../../Libs/SU3/su3copy_m_m.f"
      include "../../Libs/SU3/su3init0.f"
      include "../../Libs/SU3/su3init1.f"
      include "../../Libs/SU3/su3mult_m_m_m.f"
      include "../../Libs/SU3/su3mult_m_mh_m.f"
      include "../../Libs/SU3/su3mult_mh_mh_m.f"

c needed for su3, including parameters:
      include "../../Libs/SU3_par/su3_init.f"
      include "../../Libs/SU3_par/su3_act.f"
      include "../../Libs/SU3_par/su3_wloops.f"
      include "../../Libs/SU3_par/su3_ran.f"
      include "../../Libs/SU3_par/su3_order.f"
      include "../../Libs/SU3_par/su3_mchb.f"
      include "../../Libs/SU3_par/su3_getstaple.f"
      include "../../Libs/SU3_par/su3_update_su2.f"
c Polyakov loop measurements:
      include "../../Libs/SU3_par/su3_ploop.f"
